#pragma once
#include "Entity.h"
#define CS_MONSTERXSCREEN_CREATENAME L"CS_monsterxscreen"
class CS_MonsterXScreen :
    public Entity
{
public:
    CS_MonsterXScreen();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    int explodeCounter = 0;
};

std::shared_ptr<Entity> CreateCS_MonsterXScreen();